> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get default recipient consumer disclosure

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/consumer_disclosure

Retrieves the Electronic Record and Signature Disclosure, with html formatting, associated with the account. You can use an optional query string to set the language for the disclosure.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/envelopes/envelopeconsumerdisclosures/getdefault

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `envelopeId` (string, required) — The envelope's GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
- `recipientId` (string, required) — A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each `recipientId` must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a `recipientId` of `1`.

### Query parameters

- `langCode` (string, optional)

## Response

### 200

Successful response.

- `accountEsignId` (string, optional) — A GUID identifying the account associated with the consumer disclosure
- `allowCDWithdraw` (string, optional) — Indicates whether the customer can withdraw their acceptance of the consumer disclosure.
- `allowCDWithdrawMetadata` (settingsMetadata, optional)
- `changeEmail` (string, optional)
- `changeEmailOther` (string, optional)
- `companyName` (string, optional) — The name of the user's Company.
- `companyPhone` (string, optional) — The phone number of the company associated with the consumer disclosure.
- `copyCostPerPage` (string, optional)
- `copyFeeCollectionMethod` (string, optional) — Specifies the fee collection method for cases in which the customer requires paper copies of the document. Maximum Length: 255 characters
- `copyRequestEmail` (string, optional)
- `custom` (string, optional)
- `enableEsign` (string, optional)
- `esignAgreement` (string, optional) — The Electronic Record and Signature Disclosure text. The disclosure text includes the html formatting.
- `esignText` (string, optional)
- `languageCode` (string, optional)
- `mustAgreeToEsign` (string, optional)
- `pdfId` (string, optional) — **Deprecated** The `pdfId` property in the consumer_disclosure PUT request is deprecated. For security reasons going forward, any value provided in the request packet must be ignored.
- `useBrand` (string, optional)
- `useConsumerDisclosureWithinAccount` (string, optional)
- `useConsumerDisclosureWithinAccountMetadata` (settingsMetadata, optional)
- `withdrawAddressLine1` (string, optional) — Contains the first address line of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters.
- `withdrawAddressLine2` (string, optional) — Contains the second address line of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters.
- `withdrawByEmail` (string, optional) — Indicates whether the customer can withdraw consent by email.
- `withdrawByMail` (string, optional) — Indicates whether the customer can withdraw consent by postal mail.
- `withdrawByPhone` (string, optional) — Indicates whether the customer can withdraw consent by phone.
- `withdrawCity` (string, optional) — Contains the city of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 50 characters.
- `withdrawConsequences` (string, optional) — Indicates the consequences of withdrawing consent.
- `withdrawEmail` (string, optional) — Contains the email address to which a customer can send a consent withdrawal notification. Maximum length: 100 characters.
- `withdrawOther` (string, optional) — Indicates other information need to withdraw consent. Maximum length: 255 characters.
- `withdrawPhone` (string, optional) — Contains the phone number which a customer can call to register consent withdrawal notification. Maximum length: 20 characters.
- `withdrawPostalCode` (string, optional) — Contains the postal code of the postal address to which a customer can send a consent withdrawal notification. Maximum length: 20 characters.
- `withdrawState` (string, optional) — Contains the state of the postal address to which a customer can send a consent withdrawal notification.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### settingsMetadata

- `is21CFRPart11` (string, optional) — When set to **true**, indicates that this module is enabled on the account.
- `options` (list of string, optional)
- `rights` (string, optional)
- `uiHint` (string, optional)
- `uiOrder` (string, optional)
- `uiType` (string, optional)

## Examples

**Response**

```json
{
  "accountEsignId": "string",
  "allowCDWithdraw": "string",
  "allowCDWithdrawMetadata": {
    "is21CFRPart11": "string",
    "options": [
      "string"
    ],
    "rights": "string",
    "uiHint": "string",
    "uiOrder": "string",
    "uiType": "string"
  },
  "changeEmail": "string",
  "changeEmailOther": "string",
  "companyName": "string",
  "companyPhone": "string",
  "copyCostPerPage": "string",
  "copyFeeCollectionMethod": "string",
  "copyRequestEmail": "string",
  "custom": "string",
  "enableEsign": "string",
  "esignAgreement": "string",
  "esignText": "string",
  "languageCode": "string",
  "mustAgreeToEsign": "string",
  "pdfId": "string",
  "useBrand": "string",
  "useConsumerDisclosureWithinAccount": "string",
  "useConsumerDisclosureWithinAccountMetadata": {
    "is21CFRPart11": "string",
    "options": [
      "string"
    ],
    "rights": "string",
    "uiHint": "string",
    "uiOrder": "string",
    "uiType": "string"
  },
  "withdrawAddressLine1": "string",
  "withdrawAddressLine2": "string",
  "withdrawByEmail": "string",
  "withdrawByMail": "string",
  "withdrawByPhone": "string",
  "withdrawCity": "string",
  "withdrawConsequences": "string",
  "withdrawEmail": "string",
  "withdrawOther": "string",
  "withdrawPhone": "string",
  "withdrawPostalCode": "string",
  "withdrawState": "string"
}
```